Next Previous Contents

## 3.202 time

> Function

>   Get the time.

> Header

>   `time.h`

> Declaration

>   `time_t __fastcall__ time (time_t* t);`

> Description

>   The function returns the time since the 1970-01-01 00:00:00 measured in seconds. If the pointer `t` is not `NULL`, the function result will also be stored there. If no time is available, `(time_t)-1` is returned and `errno` is set to `ENOSYS`.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - Many platforms supported by cc65 do not have a realtime clock, so the returned value may not be valid.
> Availability

>   ISO 9899

> See also

>   clock

> Example

>   None.

Next Previous Contents